# 业务分部（当前期）

`GET` `/v1/quote/fundamentals/business-segments`

获取上市公司当前报告期的业务分部收入占比。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `AAPL.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/fundamentals/business-segments?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string | No | 报告期，格式 YYYYMMDD，例如 `20260331` |
| `total` | string | No | 当期总收入 |
| `currency` | string | No | 货币代码，例如 `USD` |
| `business` | object[] | No | 业务分部列表 |
| `└ name` | string | No | 业务分部名称 |
| `└ percent` | string | No | 收入占比（百分比，例如 `40.56`） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "date": "20260331",
    "total": "124300000000",
    "currency": "USD",
    "business": [
      {
        "name": "iPhone",
        "percent": "56.19"
      },
      {
        "name": "Services",
        "percent": "21.96"
      },
      {
        "name": "Mac",
        "percent": "8.04"
      },
      {
        "name": "iPad",
        "percent": "7.00"
      },
      {
        "name": "Wearables",
        "percent": "6.81"
      }
    ]
  }
}
```
